Summary: Job spooling tools.
Name: at
Version: 3.1.7
Release: 21mdk
Copyright: GPL
Group: System/Servers
Source: ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin/at-3.1.7.tar.bz2
Source2: atd.init.bz2
Patch0: at-3.1.7-lockfile.patch.bz2
Patch1: at-3.1.7-noon.patch.bz2
Patch2: at-3.1.7-paths.patch.bz2
Patch3: at-3.1.7-sigchld.patch.bz2
Patch4: at-noroot.patch.bz2
Patch5: at-3.1.7-configure.patch.bz2
Prereq: fileutils chkconfig
Conflicts: crontabs <= 1.5
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: mailx
Requires: common-licenses

%description
At and batch read commands from standard input or from a specified file.
At allows you to specify that a command will be run at a particular time
(now or a specified time in the future).  Batch will execute commands
when the system load levels drop to a particular level.  Both commands
use /bin/sh to run the commands.

You should install the at package if you need a utility that will do
time-oriented job control.  Note: you should use crontab instead, if it is
a recurring job that will need to be repeated at the same time every
day/week/etc.

%prep
%setup -q
%patch0 -p1 -b .lockfile
%patch1 -p1 -b .noon
# The next path is a brute-force fix that will have to be updated
# when new versions of at are released.
%patch2 -p1 -b .paths

%patch3 -p1 -b .sigchld
%patch4 -p1 -b .noroot
%patch5 -p1

cat /usr/share/aclocal/libtool.m4 >> aclocal.m4
libtoolize --force
aclocal
autoconf


%build
%serverbuild
#%endif
#CFLAGS="$RPM_OPT_FLAGS" ./configure --with-atspool=/var/spool/at/spool --with-jobdir=/var/spool/at

%configure --with-atspool=/var/spool/at/spool --with-jobdir=/var/spool/at

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_initrddir}

make install IROOT=$RPM_BUILD_ROOT DAEMON_USERNAME=`id -nu` \
	DAEMON_GROUPNAME=`id -ng`
echo >  $RPM_BUILD_ROOT/%{_sysconfdir}/at.deny
mkdir docs
cp ${RPM_BUILD_ROOT}%{_prefix}/doc/at/* docs/
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_initrddir}/atd
chmod 755 $RPM_BUILD_ROOT/%{_initrddir}/atd

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*
%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /var/spool/at/.SEQ
chmod 600 /var/spool/at/.SEQ
chown daemon.daemon /var/spool/at/.SEQ
%_post_service at

%preun
%_preun_service at

%files
%defattr(-,root,root)
%doc docs/* ChangeLog Problems README
%config(noreplace) %{_sysconfdir}/at.deny
%config(noreplace) %{_initrddir}/atd
%attr(0700,daemon,daemon)	%dir /var/spool/at
%attr(0700,daemon,daemon)	%ghost /var/spool/at/.SEQ
%attr(0700,daemon,daemon)	%dir /var/spool/at/spool
%{_sbindir}/atrun
%{_sbindir}/atd
%{_mandir}/*/atrun.8.bz2
%{_mandir}/*/atd.8.bz2
%{_mandir}/*/at.1.bz2
%{_bindir}/batch
%{_bindir}/atrm
%{_bindir}/atq
%attr(4755,root,root)	%{_bindir}/at

%changelog
* Tue Apr 10 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 3.1.7-21mdk
- Add New man page 

* Fri Mar 30 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 3.1.7-20mdk
- fno-ommit-frame-pointer Fred compliant 

* Wed Mar 28 2001 Francis Galiegue <fg@mandrakesoft.com> 3.1.7-19mdk
- BuildRequires: mailx

* Fri Mar  2 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 3.1.7-18mdk
- spec cleanup

* Mon Sep 11 2000 Enzo Maggi <enzo@mandrakesoft.com> 3.1.7-17mdk
- added (noreplace) to config files.

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.1.7-16mdk
- rebuild for the user of the _initrddir macro.

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.1.7-15mdk
- rebulid for BM
- macroszifications

* Sun Apr 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.1.7-14mdk
- fixed man page compression --> is handled by spechelper

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 3.1.7-13mdk
- now under system/Servers group

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build Release.

* Tue Jun 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Merging with the RedHat changes :
	-* correct perms for /var/spool/at after defattr.
	-* reset SIGCHLD before exec (#3016).
	-* fix handling the 12:00 time

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Prereq update (we need setup package before)

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man pages
- handle RPM_OPT_FLAGS
- add de locale

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- configure fix for arm

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- learned to spell

* Wed Oct 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- updated to at version 3.1.7
- updated lock and sequence file handling with %ghost
- Use chkconfig and atd, now conflicts with old crontabs packages

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

